Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
pawuta

Nhờ Sửa Lisp Insert Block

Các bài được khuyến nghị

Nhờ ae sửa giúp Lisp gọi block từ thư viện tạo sẵn, nhưng khi chèn thì vẫn giữ các tính chất của block (block att, block động...). Do lisp này khi chèn thì các block att, block động... trở thành block thường. Mong ae giúp đỡ!

(defun c:block01 ()
(setq insertpt1 (getpoint "\nPick Lower Left Corner of the cabinet: "))
(command "_insert" "G:\\Block\\block01.dwg" insertpt1 "" "" "")
(princ)
) 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Nhờ ae sửa giúp Lisp gọi block từ thư viện tạo sẵn, nhưng khi chèn thì vẫn giữ các tính chất của block (block att, block động...). Do lisp này khi chèn thì các block att, block động... trở thành block thường. Mong ae giúp đỡ!

(defun c:block01 ()
(setq insertpt1 (getpoint "\nPick Lower Left Corner of the cabinet: "))
(command "_insert" "G:\\Block\\block01.dwg" insertpt1 "" "" "")
(princ)
) 

Khi bạn Insert một bản vê thì nó đã là 1Block roi . Nghĩa là bạn sẽ có Block trong Block.

Do đó chỉ cần thêm dòng này là OK :)

(defun c:block01 ()

.....

(Command "_.Explode" "l")

(princ)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Khi bạn Insert một bản vê thì nó đã là 1Block roi . Nghĩa là bạn sẽ có Block trong Block.

Do đó chỉ cần thêm dòng này là OK :)

(defun c:block01 ()

.....

(Command "_.Explode" "l")

(princ)

)

Oh, thanks bạn nhiều nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin lỗi vì không yêu cầu từ lúc đầu là khi insert cái block ra mình muốn điểm chèn nằm ngay tâm (điểm point) của block đó luôn. Ai biết sửa dùm phát nha!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn tạo Block trong thư viện có tâm Block ở tọa độ 0,0 thì khi gọi Block sẽ hiện đúng vị trí Pick điểm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn tạo Block trong thư viện có tâm Block ở tọa độ 0,0 thì khi gọi Block sẽ hiện đúng vị trí Pick điểm

Mình đã thử dùng lệnh Wblock, và UCS để dời trục tọa độ đến tâm block mà khi insert no bị nhảy xa lắm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước khi chèn, thử kiểm tra xem trên bản vẽ hiện hành đã tồn tại block có tên đó chưa, nếu có rồi thì thử purge hoặc rename block đó đi xem sao!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái điểm chèn của Block không phải là cái UCS như của bạn. Mà là cái điểm bạn có thể dùng qua lệnh BASE của Autocad.

Oke, thanks bạn nhiều nhé! Giờ mới biết được lệnh BASE, :)!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Oke, thanks bạn nhiều nhé! Giờ mới biết được lệnh BASE, :)!

Cảm ơn mọi người đã quan tâm đến bài viết này!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xin lỗi vì không yêu cầu từ lúc đầu là khi insert cái block ra mình muốn điểm chèn nằm ngay tâm (điểm point) của block đó luôn. Ai biết sửa dùm phát nha!

 

Trong bản vẽ Block thư viện, Gõ lệnh INSBASE rồi chon điểm tâm như bạn nói là được mà ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

các bác xem sửa lại giúp.dùng Lisp này nhưng khi chèn block vào nó lại nhảy lung tung không nằm ở vị trí pick là sao?

Dùng lệnh BE để đưa Block về đúng vị trí chèn. Do Block của bạn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Trước khi chèn, thử kiểm tra xem trên bản vẽ hiện hành đã tồn tại block có tên đó chưa, nếu có rồi thì thử purge hoặc rename block đó đi xem sao!

Hi bạn quocmanh04tt,

Mình muốn Lisp có thể tự tạo ra block khi có sự giao nhau giữa các đường Line và Pline như hình được ko, nhờ các bạn giúp mình với

 

https://drive.google...iew?usp=sharing

  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×